Subject: Re: bug#75348: 30.0.93; org-mode repeated tasks with file categories not working

From: Luis Henriques <[email-masked]>
Date: Fri, 10 Jan 2025 21:30:10 +0000

On Fri, Jan 10 2025, Ihor Radchenko wrote:

> Luis Henriques <[email-masked]> writes:
>
>> org-element--get-category: Invalid function: org-element-with-disabled-cache
>> ...
>> I'm running version 30.0.93, with top commit being
>> 0e43e35f96e5c3c10a200ebe8fe77c60e0db7c4a.  Please let me know if you need
>> further information.
>
> If you are compiling from git repo, I suggest trying
>
>    make bootstrap
>
> It may often help with compilation issues like what you are seeing.
> (If it does help, the issues are a known "wontfix" problem of Emacs)

Thank you, Ihor, for your feedback.  Yes, I'm building from git and it's
possible that this would have solved my problem.  I will keep an eye on
this, it's something that annoyed me for a bit because the error messages
I saw didn't help at all.  But you're right: I'm compiling code from the
git and these ("wontfix") things happen I guess.

Cheers,
-- 
Luís